VTK: vtkQtDebugLeaksView Class Reference

| VTK 9.0.1

Public Member Functions | Protected Slots | Protected Member Functions | List of all members
vtkQtDebugLeaksView Class Reference

view class to display contents of vtkQtDebugLeaksModel More...

`#include <vtkQtDebugLeaksView.h>`

Inherits QWidget.

## Public Member Functions
| vtkQtDebugLeaksView (QWidget *p=nullptr)
| ~vtkQtDebugLeaksView () override
vtkQtDebugLeaksModel * | model ()
bool | filterEnabled () const
| Returns whether or not the regexp filter is enabled. More...
void | setFilterEnabled (bool value)
| Enabled or disables the regexp filter. More...
QString | filterText () const
| Returns the regexp filter line edit's current text. More...
void | setFilterText (const QString &text)
| Sets the current text in the regexp filter line edit. More...

## Protected Slots
void | onCurrentRowChanged (const QModelIndex &current)
void | onRowDoubleClicked (const QModelIndex &)
void | onFilterTextChanged (const QString &filterText)
void | onFilterToggled ()
void | onFilterHelp ()

## Protected Member Functions
virtual void | onObjectDoubleClicked (vtkObjectBase *object)
virtual void | onClassNameDoubleClicked (const QString &className)

## Detailed Description

view class to display contents of vtkQtDebugLeaksModel

A widget the displays all vtkObjectBase derived objects that are alive in memory. The widget is designed to be a debugging tool that is instantiated at program startup and displayed as a top level widget. Simply create the widget and call show().

Definition at line 36 of file vtkQtDebugLeaksView.h.

## Constructor & Destructor Documentation

## ◆ vtkQtDebugLeaksView()

vtkQtDebugLeaksView::vtkQtDebugLeaksView | ( | QWidget * | p = `nullptr` | ) |

## ◆ ~vtkQtDebugLeaksView()

vtkQtDebugLeaksView::~vtkQtDebugLeaksView | ( |  | ) |
| override

## Member Function Documentation

## ◆ model()

vtkQtDebugLeaksModel* vtkQtDebugLeaksView::model | ( |  | ) |

## ◆ filterEnabled()

bool vtkQtDebugLeaksView::filterEnabled | ( |  | ) | const

Returns whether or not the regexp filter is enabled.

## ◆ setFilterEnabled()

void vtkQtDebugLeaksView::setFilterEnabled | ( | bool | value | ) |

Enabled or disables the regexp filter.

## ◆ filterText()

QString vtkQtDebugLeaksView::filterText | ( |  | ) | const

Returns the regexp filter line edit's current text.

## ◆ setFilterText()

void vtkQtDebugLeaksView::setFilterText | ( | const QString & | text | ) |

Sets the current text in the regexp filter line edit.

## ◆ onObjectDoubleClicked()

virtual void vtkQtDebugLeaksView::onObjectDoubleClicked | ( | vtkObjectBase * | object | ) |
| protectedvirtual

## ◆ onClassNameDoubleClicked()

virtual void vtkQtDebugLeaksView::onClassNameDoubleClicked | ( | const QString & | className | ) |
| protectedvirtual

## ◆ onCurrentRowChanged

void vtkQtDebugLeaksView::onCurrentRowChanged | ( | const QModelIndex & | current | ) |
| protectedslot

## ◆ onRowDoubleClicked

void vtkQtDebugLeaksView::onRowDoubleClicked | ( | const QModelIndex & |  | ) |
| protectedslot

## ◆ onFilterTextChanged

void vtkQtDebugLeaksView::onFilterTextChanged | ( | const QString & | filterText | ) |
| protectedslot

## ◆ onFilterToggled

void vtkQtDebugLeaksView::onFilterToggled | ( |  | ) |
| protectedslot

## ◆ onFilterHelp

void vtkQtDebugLeaksView::onFilterHelp | ( |  | ) |
| protectedslot

The documentation for this class was generated from the following file:

- GUISupport/Qt/vtkQtDebugLeaksView.h